import java.util.*;                           // LinkedList

public class Ort
{
  /**
  * Liste aller Autos, die sich vor Ort befinden.
  */
  private LinkedList<Auto> alleAutos;
  
/* ------------------------------------------------------ */

  /**
  * Konstruktor, erzeugt leere Liste von Autos an.
  */
  public Ort()
  {

  }
  
/* ------------------------------------------------------ */

  /**
  * Gibt alle Autos vor Ort zurueck.
  * Falls keine vorhanden sind, ist die Liste leer.
  * @return Autos vor Ort
  */
  public LinkedList<Auto> getAlleAutos()
  {

  }

  /**
  * Sucht alle Autos vor Ort mit gegebenen Wagentyp.
  * Falls keine vorhanden sind, ist die Liste leer.
  * @param typ Wagentyp:
  *      "Kleinwagen" "Mittelklassewagen" "Oberklassewagen"
  * @return Autos vom Wagentyp vor Ort
  */
  public LinkedList<Auto> getAlleAutos( String typ )
  {

  }

  /**
  * Sucht ein Auto vor Ort mit gegebenen Kennzeichen.
  * Falls es nicht vorhanden ist, wird null zurueckgegeben.
  * @param kennZeichen Kennzeichen des gesuchten Autos
  * @return Auto mit Kennzeichen vor Ort,
  *         null, falls nicht vorhanden
  */
  public Auto getAuto( String kennZeichen )
  {

  }
  
  /**
  * Ein Auto verlaesst den Ort.
  * @param auto Auto, welches den Ort verlassen soll
  * @return true, falls Auto den Ort verlassen hat
  */
  public boolean abmelden( Auto auto )
  {

  }
  
  /**
  * Ein Auto kommt am Ort an.
  * @param auto Auto, welches am Ort ankommen soll
  * @return true, falls Auto am Ort angekommen ist
  */
  public boolean anmelden( Auto auto )
  {

  }

  /**
  * Gibt als String die Beschreibungen aller Autos vor Ort zurueck.
  * Falls kein Auto vorhanden ist, so wird das mitgeteilt.
  * @return Beschreibung aller Autos vor Ort oder
  *         "Es befinden sich keine Autos vor Ort."
  */
  public String toString()
  {

  }
  
/* ------------------------------------------------------ */

  /**
  * Testprogramm:
  * Auf 3 Orte (Parkplatz, Strasse, Werkstatt) werden
  * 6 Testautos verteilt und die Verteilung angezeigt.
  *
  * Danach wird je ein Auto von der Strasse und ein Auto
  * aus der Werkstatt auf den Parkplatz verschoben.
  * Ein Auto wird verschrottet.
  * Die veraenderte Verteilung wird angezeigt.
  */
  public static void main( String[] args )
  {

  }
}