/**
* Ausstattung eines Mietautos,
* bestehend aus 5 Ausstattungsmerkmalen.
* Berechnen des Gesamtmietzuschlag
* entsprechend den vorhandenen Ausstattungsmerkmalen.
*/
public class Ausstattung
{
  /**
  * Merkmal Automatik.
  */
  private boolean automatik = false;
  
  /**
  * Merkmal Klimaanlage.
  */
  private boolean klima = false;
  
  /**
  * Merkmal Navigationssystem.
  */
  private boolean navi = false;
  
  /**
  * Merkmal Parksensoren.
  */
  private boolean park = false;
  
  /**
  * Merkmal Winterreifen.
  */
  private boolean winter = false;
  
  /**
  * Besonderheiten zur Ausstattung.
  */
  private String sonst = "";
  
  /**
  * Mietzuschlag pro Ausstattungsmerkmal in Euro.
  */
  private static int zuschlag = 5;
  
  /**
  * Konstruktor, setzt die Ausstattungsmerkmale.
  * @param automatik true, falls Automatik vorhanden
  * @param klima     true, falls Klimaanlage vorhanden
  * @param navi      true, falls Navigationssystem vorhanden
  * @param park      true, falls Parksensoren vorhanden
  * @param winter    true, falls Winterreifen vorhanden
  */
  public Ausstattung
  ( boolean automatik, boolean klima, boolean navi,
    boolean park, boolean winter )
  {

  }
  
  /**
  * Setzt den Mietzuschlag pro vorhandenem Ausstattungsmerkmal.
  * @param euro Zuschlag in Euro
  */
  public static void setZuschlag( int euro )
  {

  }
  
  /**
  * Setzt Besonderheiten zur Ausstattung.
  * @param sonst Besonderheiten
  */
  public void setSonst( String sonst )
  {

  }
  
  /**
  * Reifen werden neu aufgezogen.
  * @param winter true,  falls es Winterreifen sind
  *               false, falls es Sommerreifen sind
  */
  public void reifenWechsel( boolean winter )
  {

  }
  
  /**
  * Berechnet Gesamtmietzuschlag
  * entsprechend den vorhandenen Ausstattungsmerkmalen.
  * @return Gesamtmietzuschlag in Euro
  */
  public int berechneGesamtZuschlag()
  {

  }
  
  /**
  * Gibt als String zurueck:
  * Vorhandene Ausstattungsmerkmale,
  * Besonderheiten und Gesamtmietzuschlag.
  * @return Ausstattungsbeschreibung
  */
  public String toString()
  {

  }

  /**
  * Testprogramm:
  * Erzeugt Ausstattungen von 6 Testautos,
  * fuehrt einen Reifenwechsel durch und
  * gibt die Ausstattungen auf der Konsole aus.
  */
  public static void main( String[] args )
  {

  }
}